<?php
namespace Modules\Commande\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class EditionCommande
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function entete(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ligne(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function cdeSurLivraison(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function resume(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function suiviAR(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function enteteHisto(): bool
    {
        return true;
    }
}
